Package org.jboss.classfilewriter.code

## Enum StackFrameType

- java.lang.Object
- - java.lang.Enum<StackFrameType>
  - - org.jboss.classfilewriter.code.StackFrameType

All Implemented Interfaces:
  `Serializable`, `Comparable<StackFrameType>`

    public enum StackFrameType
    extends Enum<StackFrameType>

The frame type for the StackMapTable

Author:
  Stuart Douglas

### Enum Constant Summary

Enum Constants
`APPEND_FRAME`
`CHOP_FRAME`
`FULL_FRAME`
`SAME_FRAME`
`SAME_FRAME_EXTENDED`
`SAME_LOCALS_1_STACK`

### Method Summary

All Methods Static Methods Concrete Methods
`static StackFrameType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static StackFrameType[]` `values​()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SAME_FRAME

    public static final StackFrameType SAME_FRAME

#### SAME_LOCALS_1_STACK

    public static final StackFrameType SAME_LOCALS_1_STACK

#### CHOP_FRAME

    public static final StackFrameType CHOP_FRAME

#### SAME_FRAME_EXTENDED

    public static final StackFrameType SAME_FRAME_EXTENDED

#### APPEND_FRAME

    public static final StackFrameType APPEND_FRAME

#### FULL_FRAME

    public static final StackFrameType FULL_FRAME

### Method Detail

#### values

    public static StackFrameType[] values​()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StackFrameType c : StackFrameType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StackFrameType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null